#include <bits/stdc++.h>

using namespace std;

int main()
{
    bool stopK = false, stopI = false;
    int N;
    cin>>N;
    int lepota[N];

    for(int i = 0; i < N; i++)
        cin>>lepota[i];

    int kS = 9;
    for(int i = 0; i < N - 1; i++)
    {
        for(int k = kS; k > lepota[i]; k--)
        {
            kS--;
            for(int j = i + 1; j < N; j++)
            {
                if(lepota[j] == k)
                {
                    int temp = lepota[i];
                    lepota[i] = lepota[j];
                    lepota[j] = temp;
                    stopK = true;
                    break;
                }
            }
            if(stopK == true)
            {
                stopI = true;
                break;
            }
        }
        if(stopI == true)
            break;
    }

    cout<<lepota[0];
    for(int i = 1; i < N; i++)
    {
        cout<<" "<<lepota[i];
    }
}